#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESystemServiceState {
    Unavailable = 0,
    Disabled = 1,
    Enabled = 2,
}

impl ESystemServiceState {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unavailable as i32 => Some(Self::Unavailable),
            x if x == Self::Disabled as i32 => Some(Self::Disabled),
            x if x == Self::Enabled as i32 => Some(Self::Enabled),
            _ => None,
        }
    }
}
